# Class DbNsfpEntry

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Variant
org.snpsift.fileIterator.DbNsfpEntry

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<org.snpeff.interval.Interval>, org.snpeff.serializer.TxtSerializable`

public class DbNsfpEntry extends org.snpeff.interval.Variant
DbNSFP database entry: Reference https://sites.google.com/site/jpopgen/dbNSFP Added lazy parsing of key/value pairs

Author:
  lletourn
See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class org.snpeff.interval.Variant

`org.snpeff.interval.Variant.VariantType`

## Field Summary

### Fields inherited from class org.snpeff.interval.Variant

`alt, genotype, HUGE_DELETION_RATIO_THRESHOLD, HUGE_DELETION_SIZE_THRESHOLD, imprecise, NO_VARIANT, ref, variantType`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`DbNsfpEntry(DbNsfp dbNsfp, String line)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String columnName, String valuesToAdd)`
Add a value
`DbNsfpEntry`
`cloneShallow()`
`String`
`getVcfInfo(String key)`
Get data in a VCF INFO field compatible format
`boolean`
`hasValues(String allele)`
Do we have values for this allele
`protected void`
`parseChrPosRefAlt()`
Parse dbSNFP 'Chr, pos, ref, alt' values from a single line
`protected void`
`parseKeyValues()`
Parse dbSNFP ALL values from a single line and store them in 'values' hash
`int`
`parsePosition(String posStr)`
Parse a string as a 'position'.
`static String[]`
`splitValuesField(String value)`
`String`
`toString()`

### Methods inherited from class org.snpeff.interval.Variant

`clone, compareTo, decompose, factory, getAlt, getGenotype, getReference, getVariantType, hashCode, isBnd, isDel, isDup, isElongation, isImprecise, isInDel, isIns, isInterval, isInv, isMixed, isMnp, isNonRef, isShowWarningIfParentDoesNotInclude, isSnp, isStructural, isStructuralHuge, isTruncation, isVariant, lengthChange, netChange, netChange, realignLeft, reverse, setGenotype, setImprecise, setVariantType, toStringEnsembl, toStringOld`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, codonTable, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffect, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DbNsfpEntry

public DbNsfpEntry(DbNsfp dbNsfp, String line)

## Method Details

### splitValuesField

public static String[] splitValuesField(String value)

### add

public void add(String columnName, String valuesToAdd)
Add a value

### cloneShallow

public DbNsfpEntry cloneShallow()

Overrides:
  `cloneShallow` in class `org.snpeff.interval.Variant`

### getVcfInfo

public String getVcfInfo(String key)
Get data in a VCF INFO field compatible format

### hasValues

public boolean hasValues(String allele)
Do we have values for this allele

### parseChrPosRefAlt

protected void parseChrPosRefAlt()
Parse dbSNFP 'Chr, pos, ref, alt' values from a single line

### parseKeyValues

protected void parseKeyValues()
Parse dbSNFP ALL values from a single line and store them in 'values' hash

Note: This method is supposed to be a lazy parsing of the key/value pairs, so it DOES NOT store 'chr, pos, ref, alt'. You can use `parseChrPosRefAlt()` for that.

### parsePosition

public int parsePosition(String posStr)
Parse a string as a 'position'.

### toString

public String toString()

Overrides:
  `toString` in class `org.snpeff.interval.Variant`